Loading...
Searching...
No Matches
remove.c File Reference

GIS Library - File remove functions. More...

`#include <grass/config.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <dirent.h>`
`#include <grass/gis.h>`
Include dependency graph for remove.c:

Go to the source code of this file.

## Functions

int | G_remove (const char *element, const char *name)
| Remove a database file.
int | G_remove_misc (const char *dir, const char *element, const char *name)
| Remove a database misc file.
int | G_recursive_remove (const char *path)
| Recursively remove all files in given directory.

## Detailed Description

GIS Library - File remove functions.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file remove.c.

## Function Documentation

## G_recursive_remove()

int G_recursive_remove | ( | const char * | path | ) |

Recursively remove all files in given directory.

Equivalent to rm -rf path.

Parameters

  path | path to the directory which should be removed

Returns
  0 on success
  -1 on error

Definition at line 112 of file remove.c.

References G_lstat(), G_recursive_remove(), and NULL.

Referenced by G_recursive_remove().

## G_remove()

int G_remove | ( | const char * | element,
|  | const char * | name )

Remove a database file.

The file or directory name under the database element directory in the current mapset is removed.

If name is a directory, everything within the directory is removed as well.

Parameters

  element | element name
  name | file name

Returns
  0 if name does not exist
  1 if successful
  -1 on error

Definition at line 43 of file remove.c.

References name, and NULL.

Referenced by G_remove_vector_timestamp(), M_do_copy(), M_do_remove(), and M_do_rename().

## G_remove_misc()

int G_remove_misc | ( | const char * | dir,
|  | const char * | element,
|  | const char * | name )

Remove a database misc file.

The file or directory name under the database element directory in the current mapset is removed.

If name is a directory, everything within the directory is removed as well.

Parameters

  element | element name
  name | file name

Returns
  0 if name does not exist
  1 if successful
  -1 on error

Definition at line 64 of file remove.c.

References name.

Referenced by G_remove_raster3d_timestamp(), and G_remove_raster_timestamp().